<template src="./template.html"></template>
<script lang="ts">
// import { getModule } from "nuxt-property-decorator";
import { Vue, Component, Prop } from "vue-property-decorator";
import { api_key_tiny_editor } from "~/common/constaint";
import { apiErrorHandler } from "~/utils/apiHanlers";
// import axios from "axios";
// import UserModule from "~/store/user";
// import { Store } from "vuex";
@Component({
  components: {
    Loading: () => import("@/components/Utils/Loading/index.vue"),
    SettingSellerOverViewStore: () =>
      import("@/components/Seller/Store/Overview/index.vue"),
    SettingSellerDescriptionStore: () =>
      import("@/components/Seller/Store/Description/index.vue"),
    SettingSellerMediaStore: () =>
      import("@/components/Seller/Store/Media/index.vue"),
    SettingSellerReViewStore: () =>
      import("@/components/Seller/Store/Review/index.vue"),
    SettingSellerDomainStore: () =>
      import("@/components/Seller/Store/Domain/index.vue"),
    SettingSellerPaymentStore: () =>
      import("@/components/Seller/Store/Payment/index.vue"),
    SettingSellerAdsAndAnalyticsStore: () =>
      import("@/components/Seller/Store/AdsAndAnalytics/index.vue"),
    SettingSellerAbandonedCheckoutsStore: () =>
      import("@/components/Seller/Store/AbandonedCheckouts/index.vue"),
    SettingSellerVariantsStoreComponent: () =>
      import("@/components/Seller/Store/Variants/index.vue"),
    SettingSellerUpsaleComponent: () =>
      import("@/components/Seller/Store/Upsale/index.vue"),
    SettingSellerProductPageDisplayComponent: () =>
      import("@/components/Seller/Store/ProductPageDisplay/index.vue"),
    SettingSellerProductPageDiscountComponent: () =>
      import("@/components/Seller/Store/Discount/index.vue"),
    SettingSellerShipping: () =>
      import("@/components/Seller/Store/Shipping/index.vue"),
    SettingUpsaleBlock: () =>
      import("@/components/Seller/Store/UpsaleBlock/index.vue"),
    SettingTemplates: () =>
      import("@/components/Seller/Store/Templates/index.vue"),
  },
})
export default class SettingSellerStoreComponent extends Vue {
  tab = 0;

  tabTitle = [
    {
      title: "Overview",
    },
    {
      title: "Description",
    },

    {
      title: "Variants",
    },
    {
      title: "Shipping",
    },
    {
      title: "Media",
    },
    {
      title: "Review",
    },
    {
      title: "Payment",
    },
    {
      title: "Ads & Analytics",
    },
    {
      title: "Store Discount",
    },
    {
      title: "Upsale Block",
    },
    {
      title: "Abandoned checkouts",
    },
    {
      title: "Upsale",
    },
    {
      title: "Product Page Display",
    },
    {
      title: "Templates",
    },
    // {
    //   title: "Advance Settings",
    // },
  ];
  screenWidth = 0;
  get items() {
    return [
      {
        text: "Home",
        disabled: false,
        href: "/seller/dashboard",
      },
      {
        text: "Manage Stores",
        disabled: false,
        href: `/seller/store/${this.storeId}`,
      },
      {
        text: this.store.store.storeName,
        disabled: true,
      },
    ];
  }
  tabVisible = false;

  get store() {
    return this.$store.state.sellerStore.store;
  }

  onScreenResize() {
    window.addEventListener("resize", () => {
      this.updateScreenWidth();
    });
  }

  updateScreenWidth() {
    this.screenWidth = window.innerWidth;
  }

  get storeId() {
    return this.$store.state.sellerStore.storeId;
  }
  mounted() {
    this.updateScreenWidth();
    this.onScreenResize();
    this.$store.commit("sellerStore/setStoreId", this.$route.params.id);
    // this.onGetDetailStore();
  }
}
</script>

<style src="./style.scss" lang="scss" scoped></style>
